# Uses of Interface
org.apache.commons.math3.analysis.differentiation.MultivariateDifferentiableFunction

Packages that use MultivariateDifferentiableFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of MultivariateDifferentiableFunction in org.apache.commons.math3.analysis

Methods in org.apache.commons.math3.analysis that return MultivariateDifferentiableFunction
Modifier and Type
Method
Description
`static MultivariateDifferentiableFunction`
FunctionUtils.`toMultivariateDifferentiableFunction(DifferentiableMultivariateFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated
Methods in org.apache.commons.math3.analysis with parameters of type MultivariateDifferentiableFunction
Modifier and Type
Method
Description
`static DifferentiableMultivariateFunction`
FunctionUtils.`toDifferentiableMultivariateFunction(MultivariateDifferentiableFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated

## Uses of MultivariateDifferentiableFunction in org.apache.commons.math3.analysis.differentiation

Constructors in org.apache.commons.math3.analysis.differentiation with parameters of type MultivariateDifferentiableFunction
Modifier
Constructor
Description
``
`GradientFunction(MultivariateDifferentiableFunction f)`
Simple constructor.

## Uses of MultivariateDifferentiableFunction in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general with parameters of type MultivariateDifferentiableFunction
Modifier and Type
Method
Description
`PointValuePair`
AbstractScalarDifferentiableOptimizer.`optimize(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
AbstractDifferentiableOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
In 3.1.
`protected PointValuePair`
AbstractDifferentiableOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.